com.trendmicro.ds.antimalware.rest.api

## Interface IEventAPI

-     @Path(value="/events")
      public interface IEventAPI

  Interface for event retrieval

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AntiMalwareEvent` | `getAntiMalwareEvent(java.lang.Long eventId, java.lang.String sessionId)` Get AntiMalware with specific event id.
    `AntiMalwareEventListing` | `getAntiMalwareEvents(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.String sessionId)` Get AntiMalware events
    `javax.ws.rs.core.Response` | `getAntiMalwareEventsInMCP(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.Integer header, java.lang.String sessionId)` Get AntiMalware events
    `javax.ws.rs.core.Response` | `getSuspiciousObjectEventsInMCP(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.Integer header, java.lang.String sessionId)` Get Suspicious Object events
    `WebReputationEvent` | `getWebReputationEvent(java.lang.Long eventId, java.lang.String sessionId)` Get Web Reputation event with specific event id.
    `WebReputationEventListing` | `getWebReputationEvents(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.String sessionId)` Get Web Reputation events
    `javax.ws.rs.core.Response` | `getWebReputationEventsInMCP(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.Integer header, java.lang.String sessionId)` Get Web Reputation events

- - ### Method Detail

    - #### getWebReputationEvent

          @GET
           @Path(value="/webreputation/{eventId}")
           @Produces(value={"application/json","application/xml"})
          WebReputationEvent getWebReputationEvent(@PathParam(value="eventId")
                                                                                                                                                          java.lang.Long eventId,
                                                                                                                                                          @QueryParam(value="sID")
                                                                                                                                                          java.lang.String sessionId)
                                                                                                                                                   throws java.lang.Exception

      Get Web Reputation event with specific event id.
      Parameters:
        `eventId` - the event id to fetch
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        the event with the specific id
      Throws:
        `java.lang.Exception`

    - #### getWebReputationEvents

          @GET
           @Path(value="/webreputation")
           @Produces(value={"application/json","application/xml"})
          WebReputationEventListing getWebReputationEvents(@QueryParam(value="eventId")
                                                                                                                                                        java.lang.Long eventId,
                                                                                                                                                        @QueryParam(value="eventIdOp")
                                                                                                                                                        java.lang.String eventIdOp,
                                                                                                                                                        @QueryParam(value="maxItems")
                                                                                                                                                        java.lang.Integer maxItems,
                                                                                                                                                        @QueryParam(value="sID")
                                                                                                                                                        java.lang.String sessionId)
                                                                                                                                                 throws java.lang.Exception

      Get Web Reputation events
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - the maximum events to return
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        a WebReputationEventListing, a collection of the events meet the given criteria.
      Throws:
        `java.lang.Exception`

    - #### getWebReputationEventsInMCP

          @GET
           @Path(value="/webreputationinmcp")
           @Produces(value="application/octet-stream")
          javax.ws.rs.core.Response getWebReputationEventsInMCP(@QueryParam(value="eventId")
                                                                                                                                                      java.lang.Long eventId,
                                                                                                                                                      @QueryParam(value="eventIdOp")
                                                                                                                                                      java.lang.String eventIdOp,
                                                                                                                                                      @QueryParam(value="maxItems")
                                                                                                                                                      java.lang.Integer maxItems,
                                                                                                                                                      @QueryParam(value="header")
                                                                                                                                                      java.lang.Integer header,
                                                                                                                                                      @QueryParam(value="sID")
                                                                                                                                                      java.lang.String sessionId)
                                                                                                                                               throws java.lang.Exception

      Get Web Reputation events
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - the maximum events to return
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        a binary stream in which events meeting the given criteria is encoded into MCP format.
      Throws:
        `java.lang.Exception`

    - #### getAntiMalwareEvent

          @GET
           @Path(value="/antimalware/{eventId}")
           @Produces(value={"application/json","application/xml"})
          AntiMalwareEvent getAntiMalwareEvent(@PathParam(value="eventId")
                                                                                                                                                    java.lang.Long eventId,
                                                                                                                                                    @QueryParam(value="sID")
                                                                                                                                                    java.lang.String sessionId)
                                                                                                                                             throws java.lang.Exception

      Get AntiMalware with specific event id.
      Parameters:
        `eventId` - the event id to fetch
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        the event with the specific id
      Throws:
        `java.lang.Exception`

    - #### getAntiMalwareEvents

          @GET
           @Path(value="/antimalware")
           @Produces(value={"application/json","application/xml"})
          AntiMalwareEventListing getAntiMalwareEvents(@QueryParam(value="eventId")
                                                                                                                                                  java.lang.Long eventId,
                                                                                                                                                  @QueryParam(value="eventIdOp")
                                                                                                                                                  java.lang.String eventIdOp,
                                                                                                                                                  @QueryParam(value="maxItems")
                                                                                                                                                  java.lang.Integer maxItems,
                                                                                                                                                  @QueryParam(value="sID")
                                                                                                                                                  java.lang.String sessionId)
                                                                                                                                           throws java.lang.Exception

      Get AntiMalware events
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - the maximum events to return
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        a AntiMalwareEventListing, a collection of the events meet the given criteria.
      Throws:
        `java.lang.Exception`

    - #### getAntiMalwareEventsInMCP

          @GET
           @Path(value="/antimalwareinmcp")
           @Produces(value="application/octet-stream")
          javax.ws.rs.core.Response getAntiMalwareEventsInMCP(@QueryParam(value="eventId")
                                                                                                                                                  java.lang.Long eventId,
                                                                                                                                                  @QueryParam(value="eventIdOp")
                                                                                                                                                  java.lang.String eventIdOp,
                                                                                                                                                  @QueryParam(value="maxItems")
                                                                                                                                                  java.lang.Integer maxItems,
                                                                                                                                                  @QueryParam(value="header")
                                                                                                                                                  java.lang.Integer header,
                                                                                                                                                  @QueryParam(value="sID")
                                                                                                                                                  java.lang.String sessionId)
                                                                                                                                           throws java.lang.Exception

      Get AntiMalware events
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - the maximum events to return
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        a binary stream in which events meeting the given criteria is encoded into MCP format.
      Throws:
        `java.lang.Exception`

    - #### getSuspiciousObjectEventsInMCP

          @GET
           @Path(value="/suspiciousobjectinmcp")
           @Produces(value="application/octet-stream")
          javax.ws.rs.core.Response getSuspiciousObjectEventsInMCP(@QueryParam(value="eventId")
                                                                                                                                                            java.lang.Long eventId,
                                                                                                                                                            @QueryParam(value="eventIdOp")
                                                                                                                                                            java.lang.String eventIdOp,
                                                                                                                                                            @QueryParam(value="maxItems")
                                                                                                                                                            java.lang.Integer maxItems,
                                                                                                                                                            @QueryParam(value="header")
                                                                                                                                                            java.lang.Integer header,
                                                                                                                                                            @QueryParam(value="sID")
                                                                                                                                                            java.lang.String sessionId)
                                                                                                                                                     throws java.lang.Exception

      Get Suspicious Object events
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - the maximum events to return
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        a binary stream in which events meeting the given criteria is encoded into MCP format.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.